/*
 * 쐬: 2005/08/09
 *
 */
package diaop.advice;

import org.springframework.beans.BeansException;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.BeanFactoryAware;

import diaop.model.Member;

/**
 * MemberFactory
 *
 * @author Hiroshi TAKEMOTO
 */
public class MemberFactory implements BeanFactoryAware {
	private BeanFactory	factory;

	public Member	getInstance() {
		return ((Member)factory.getBean("member"));
	}
	public void setBeanFactory(BeanFactory factory) throws BeansException {
		this.factory = factory;
	}

}
