package diaop.app;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import diaop.dao.IMember;
import diaop.model.Member;

public class Ex_1 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// RtBOt@CRei`
		BeanFactory factory = 
			new ClassPathXmlApplicationContext("/" + args[0]);
		// ReimemberDao擾
		IMember dao = (IMember)factory.getBean("memberDao");
		// findMember, printmember̃eXg
		Member takemoto = dao.findMember(new Integer(1));
		System.out.println(dao.printMember(takemoto));
		// insertMember̃eXg
		Member hanako = new Member();
		hanako.setId(new Integer(2));
		hanako.setName("؎q");
		hanako.setAddress("");
		dao.insertMember(hanako);
		// findAllMember̃eXg
		Member[] all = dao.findAllMembers();
		for (int i = 0; i < all.length; i++) {
			System.out.println(dao.printMember(all[i]));
		}
		// DBԂɖ߂
		dao.deleteMember(hanako);
	}
}
