package diaop.app;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import diaop.advice.MemberFactory;
import diaop.model.Member;
import diaop.util.DbHelper;

public class Ex_2 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// RtBOt@CRei`
		BeanFactory factory = 
			new ClassPathXmlApplicationContext("/" + args[0]);
		// ReimemberFactory擾
		MemberFactory memberFactory = (MemberFactory)factory.getBean("memberFactory");

		Member shotaro = memberFactory.getInstance();
		shotaro.setId(new Integer(3));
		shotaro.setName("Y");
		shotaro.setAddress("");
		DbHelper helper = new DbHelper(Member.class);
		System.out.println(helper.toString(shotaro));
	}
}
