package diaop.app;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import diaop.rmi.client.BinOpePlus;
import diaop.rmi.compute.ICompute;

public class RmiClient {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// RtBOt@CRei`
		BeanFactory factory = 
			new ClassPathXmlApplicationContext("/config-3.xml");
		// ReicomputeService擾
		ICompute comp = (ICompute) factory.getBean("computeService");
		BinOpePlus task = new BinOpePlus(Integer.parseInt(args[0]),
										Integer.parseInt(args[1]));
		try {
			Integer result = (Integer) (comp.executeTask(task));
			System.out.println(result);
		}
		catch (Exception e){
			System.err.println(e.getCause());
		}
		
	}

}
