/*
 * 쐬: 2005/07/07
 *
 * ̐ꂽRg̑}ev[gύX邽
 * EBhE > ݒ > Java > R[h > R[hƃRg
 */
package diaop.rmi.server;

import java.rmi.Naming;
import java.rmi.RMISecurityManager;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

import diaop.rmi.compute.ICompute;
import diaop.rmi.compute.ITask;

/**
 * CumputeEngine
 *
 * @author Hiroshi TAKEMOTO
 */
public class Computor extends UnicastRemoteObject 
implements ICompute {
	public Computor() throws RemoteException {
			super();
	}

	/* ( Javadoc)
	 * @see compute.Compute#executeTask(compute.Task)
	 */
	public Object executeTask(ITask t) throws RemoteException {
		return t.execute();
	}

	public static void main(String[] args) {
		if (System.getSecurityManager() == null) {
			System.setSecurityManager(new RMISecurityManager());
		}
		String name = "//localhost/Computor";
		try {
			ICompute engine = new Computor();
			Naming.rebind(name, engine);
			System.out.println("Computor bound");
		} catch (Exception e) {
			System.err.println("Computor exception: " + 
				   e.getMessage());
			e.printStackTrace();
		}
	}
}
